Subject: Re: bug#32777: 27.0.50; window-buffer gets wrong point

From: Juri Linkov <[email-masked]>
Date: Fri, 21 Dec 2018 02:18:43 +0200

> I can see two possible fixes for the underlying problem:
>
> (1) Handle the minibuf_selected_window case specially.  This means
> that, if on the target frame of the unwind form this variable is
> non-nil, we restore the value of point of the buffer shown in
> minibuf_selected_window to that window's point.
>
> (2) Ignore minibuf_selected_window and handle point of the buffer
> shown in the selected window of the frame whose title we consider for
> drawing its title.  That is, record the buffer shown in
> f->selected_window together with its position of point before
> selecting f->selected_window in x_consider_frame_title and restore the
> buffer's position of point in the unwind form.
>
> I think (1) is more conservative because it strictly handles just
> scenarios like Juri's.  But (1) does not handle the case where the
> buffer of W2 is not shown anywhere else when x_consider_frame_title is
> called.  So IMHO (2) should be the correct approach but I have no idea
> what further consequences it could have.

If the underlying problem can't be fixed, then maybe at least fix
this particular case like Federico proposed?